Index: src/Fragmentation/Summation/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Summation/unittests/Makefile.am	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ src/Fragmentation/Summation/unittests/Makefile.am	(revision a2215d21a6fe3ea3e23a6ba1d7e070e6f5a4ac62)
@@ -2,24 +2,19 @@
 # Also indentation by a single tab
 
-INCLUDES=-I$(top_srcdir)/src -I$(top_srcdir)/src/Fragmenation -I$(top_srcdir)/src/Fragmenation/Summation
-
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
-
 FRAGMENTATIONSUMMATIONTESTSSOURCES = \
-	../Fragmentation/unittests/IndexSetUnitTest.cpp \
-	../Fragmentation/unittests/IndexSetContainerUnitTest.cpp \
-	../Fragmentation/unittests/OrthogonalSummationUnitTest.cpp \
-	../Fragmentation/unittests/SetValueUnitTest.cpp \
-	../Fragmentation/unittests/SetValueMapUnitTest.cpp \
-	../Fragmentation/unittests/SubsetMapUnitTest.cpp
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.cpp \
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.cpp \
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.cpp
 
 FRAGMENTATIONSUMMATIONTESTSHEADERS = \
-	../Fragmentation/unittests/IndexSetUnitTest.hpp \
-	../Fragmentation/unittests/IndexSetContainerUnitTest.cpp \
-	../Fragmentation/unittests/OrthogonalSummationUnitTest.hpp \
-	../Fragmentation/unittests/SetValueUnitTest.hpp \
-	../Fragmentation/unittests/SetValueMapUnitTest.hpp \
-	../Fragmentation/unittests/SubsetMapUnitTest.hpp
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.hpp \
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.cpp \
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.hpp \
+	../Fragmentation/Summation/unittests/SetValueUnitTest.hpp \
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.hpp \
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.hpp
 
 FRAGMENTATIONSUMMATIONTESTS = \
@@ -36,5 +31,5 @@
 
 FRAGMENTATIONSUMMATIONLIBS = \
-	libMolecuilderFragmentationSummation.la \
+	../libMolecuilderFragmentationSummation.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
@@ -42,60 +37,34 @@
 
 IndexSetUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/IndexSetUnitTest.cpp \
-	unittests/IndexSetUnitTest.hpp
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.cpp \
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.hpp
 IndexSetUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 IndexSetContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/IndexSetContainerUnitTest.cpp \
-	unittests/IndexSetContainerUnitTest.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SortedVector.hpp
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.cpp \
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.hpp
 IndexSetContainerUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 OrthogonalSummationUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/OrthogonalSummationUnitTest.cpp \
-	unittests/OrthogonalSummationUnitTest.hpp \
-	OrthogonalSummation.hpp \
-	OrthogonalSummation_impl.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SortedVector.hpp \
-	SubsetMap.cpp \
-	SubsetMap.hpp
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.cpp \
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.hpp
 OrthogonalSummationUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 SetValueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/SetValueUnitTest.cpp \
-	unittests/SetValueUnitTest.hpp \
-	unittests/stubs/SetValueMap_Mock.hpp \
-	unittests/stubs/SubsetMap_Mock.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SetValue.hpp
+	../Fragmentation/Summation/unittests/SetValueUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueUnitTest.hpp \
+	../Fragmentation/Summation/unittests/stubs/SetValueMap_Mock.hpp \
+	../Fragmentation/Summation/unittests/stubs/SubsetMap_Mock.hpp
 SetValueUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 SetValueMapUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/SetValueMapUnitTest.cpp \
-	unittests/SetValueMapUnitTest.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	SetValue.hpp \
-	SetValueMap.hpp
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.hpp
 SetValueMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 SubsetMapUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/SubsetMapUnitTest.cpp \
-	unittests/SubsetMapUnitTest.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SortedVector.hpp \
-	SubsetMap.cpp \
-	SubsetMap.hpp
-	SubsetMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.hpp
+SubsetMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 
